Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.admin.jspbeans
Class PortalUserJspBean

    java.lang.Object
      |
      +--com.beasys.portal.admin.jspbeans.PortalUserJspBean

public class PortalUserJspBean
extends java.lang.Object
implements PortalConstants

This class is a JSP bean class for several Portal Tool JSP pages which use the <jsp:usebean> JSP tag such as the portal_users.jsp and portal_user_new.jsp page

Field Summary
`static java.lang.String` | `TOO_MANY` String Constant
`static int` | `USER_CREATION_FAILED` Result State Constant
`static int` | `USER_CREATION_OK` Result State Constant
`static int` | `USER_NAME_IN_USE` Result State Constant
`static int` | `USER_REMOVAL_FAILED` Result State Constant
`static int` | `USER_REMOVAL_OK` Result State Constant

Fields inherited from interface com.beasys.portal.ejb.PortalConstants
`ALGORITHM, COLUMN_INFORMATION, DEFAULT_CATEGORY_NAME, GROUP_HIERARCHY, GROUP_PERSONALIZATION, MAX_QUERIED_USERS, NAME_MAX, PORTAL_COLUMN_MAX, PORTAL_DEFINITION, PORTAL_GROUP_HIERARCHY, PORTAL_HIERARCHY, PORTAL_MANAGER, PORTAL_PERSONALIZATION, PORTAL_PROPERTIES, PORTAL_SIGN_ON, PORTAL_USER_PROFILE, PORTLET_DEFINITION, SEPARATOR, URL_MAX, USER_HIERARCHY, USER_PERSONALIZATION`

Fields inherited from interface com.beasys.util.ToolkitConstants
`DEFAULT_ID_CACHE, DEFAULT_ID_PROCEDURE, DEFAULT_JDBC_POOL_NAME, DEFAULT_LOGGING_LEVEL, DEFAULT_WEBLOGIC_HOST, DEFAULT_WEBLOGIC_PORT, ID_CACHE, ID_PROCEDURE, JDBC_POOL_NAME, LOG_DEBUG, LOG_ERROR, LOG_FATAL, LOG_INFO, LOG_SECURITY, LOG_WARNING, LOGGING_LEVEL, WEBLOGIC_HOST, WEBLOGIC_PORT`

Constructor Summary
`PortalUserJspBean()`

Method Summary
`int` | `addUserToGroup(java.lang.String portalName, java.lang.String groupName, java.lang.String userName)` Adds a user to a portal group.
`int` | `addUserToPortal(java.lang.String portalName, java.lang.String userName)` Adds a user to a portal.
`java.lang.String[]` | `getUsersForPortalAndGroup(java.lang.String portalName, java.lang.String groupName)` Gets all users belonging to a portal group.
`int` | `removeUserFromGroup(java.lang.String portalName, java.lang.String groupName, java.lang.String userName)` Removes a user from a portal group.
`int` | `removeUserFromPortal(java.lang.String portalName, java.lang.String userName)` Removes a user from a portal.
`java.lang.String[]` | `searchGroupForUsers(java.lang.String aPortalName, java.lang.String aGroupName, java.lang.String aSearch)` Searches for all users belonging to a portal group that match a search criteria.
`static java.lang.String[]` | `searchPortalForUsers(java.lang.String aPortalName, java.lang.String aSearch)` Searches for all users belonging to a portal that match a search criteria.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER_CREATION_OK

    public static final int USER_CREATION_OK

  Result State Constant

### USER_REMOVAL_OK

    public static final int USER_REMOVAL_OK

  Result State Constant

### USER_CREATION_FAILED

    public static final int USER_CREATION_FAILED

  Result State Constant

### USER_REMOVAL_FAILED

    public static final int USER_REMOVAL_FAILED

  Result State Constant

### USER_NAME_IN_USE

    public static final int USER_NAME_IN_USE

  Result State Constant

### TOO_MANY

    public static final java.lang.String TOO_MANY

  String Constant

Constructor Detail

### PortalUserJspBean

    public PortalUserJspBean()

Method Detail

### addUserToPortal

    public int addUserToPortal(java.lang.String portalName,
                               java.lang.String userName)

  Adds a user to a portal.
  Parameters:
    `portalName` - The portal name.
    `userName` - The user name to add.
  Returns:
    USER_CREATION_OK if successful or an error state if it failed.

### addUserToGroup

    public int addUserToGroup(java.lang.String portalName,
                              java.lang.String groupName,
                              java.lang.String userName)

  Adds a user to a portal group.
  Parameters:
    `portalName` - The portal name.
    `groupName` - The group name.
    `userName` - The user name to add.
  Returns:
    USER_CREATION_OK if successful or an error state if it failed.

### removeUserFromPortal

    public int removeUserFromPortal(java.lang.String portalName,
                                    java.lang.String userName)

  Removes a user from a portal.
  Parameters:
    `portalName` - The portal name.
    `userName` - The user name to add.
  Returns:
    USER_REMOVAL_OK if successful or an error state if it failed.

### removeUserFromGroup

    public int removeUserFromGroup(java.lang.String portalName,
                                   java.lang.String groupName,
                                   java.lang.String userName)

  Removes a user from a portal group.
  Parameters:
    `portalName` - The portal name.
    `groupName` - The group name.
    `userName` - The user name to add.
  Returns:
    USER_REMOVAL_OK if successful or an error state if it failed.

### getUsersForPortalAndGroup

    public java.lang.String[] getUsersForPortalAndGroup(java.lang.String portalName,
                                                        java.lang.String groupName)

  Gets all users belonging to a portal group.
  Parameters:
    `portalName` - The portal name.
    `groupName` - The group name.
  Returns:
    An array of String names for all users found.

### searchGroupForUsers

    public java.lang.String[] searchGroupForUsers(java.lang.String aPortalName,
                                                  java.lang.String aGroupName,
                                                  java.lang.String aSearch)

  Searches for all users belonging to a portal group that match a search criteria. This method constructs a dynamic SQL query using the following SQL statement template:

       select * from USER_HIERARCHY where
      portal_id = 'aPortalName' and
      group_id = 'aGroupName' and
      user_id like 'aSearch';

  Parameters:
    `aPortalName` - The portal name.
    `aGroupName` - The group name.
    `aSearch` - The search criteria for the SQL like clause in a SQL select statement.
  Returns:
    An array of String names for all users found. If no users found, then it returns an empty string. If too many users found (exceeds the maximum allowed by the Portal Manager) then it returns an array with one element whose text is equal to the TOO_MANY constant.
  See Also:
    `PortalConstants.MAX_QUERIED_USERS`

### searchPortalForUsers

    public static java.lang.String[] searchPortalForUsers(java.lang.String aPortalName,
                                                          java.lang.String aSearch)

  Searches for all users belonging to a portal that match a search criteria. This method constructs a dynamic SQL query using the following SQL statement template:

       select * from PORTAL_SIGNON where
      portal_id = 'aPortalName' and
      user_id like 'aSearch';

  Parameters:
    `aPortalName` - The portal name.
    `aSearch` - The search criteria for the SQL like clause in a SQL select statement.
  Returns:
    An array of String names for all users found. If no users found, then it returns an empty string. If too many users found (exceeds the maximum allowed by the Portal Manager) then it returns an array with one element whose text is equal to the TOO_MANY constant.
  See Also:
    `PortalConstants.MAX_QUERIED_USERS`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved